Description

I have been working on this project for a long time and I have never used this feature. I suspect that many others do not and find the

wait annoying. If the user has selected a hypervisor then the selection should be automated, otherwise click on a link

Related issues:

Related to Foreman - Bug #727: next_ip function always overwrites the ip addr... Duplicate 03/12/2011

History

#1 - 07/23/2011 07:35 AM - Paul Kelly

- Status changed from New to Ready For Testing

#2 - 07/24/2011 03:06 AM - Ohad Levy

- Status changed from Ready For Testing to Feedback

I'm in mixed feelings about that, what is the relationship to hypvervisors?

#3 - 07/24/2011 04:25 AM - Paul Kelly

- Assignee changed from Paul Kelly to Ohad Levy

In the cold light of day I cannot really say why hypervisors should be treated any differently. In my case they were always attached to a local internal

subnet so automatic IP assignment was useful to me but this was entirely site dependent. I guess that I made a stupid assumption.

However I do believe that the get_ip icon is useful. It is annoying when creating hosts that you have to wait 5, 10, 30 seconds before you can enter

the mac and click continue. I think that one extra click to get the IP is a small price to pay for the flexibility of not having to wait for the ip suggestion.

Do you wish for me to convert this so that you always click to get_ip?

#4 - 07/24/2011 04:33 AM - Ohad Levy

Paul Kelly wrote:

However I do believe that the get_ip icon is useful. It is annoying when creating hosts that you have to wait 5, 10, 30 seconds before you can

enter the mac and click continue. I think that one extra click to get the IP is a small price to pay for the flexibility of not having to wait for the ip

suggestion. Do you wish for me to convert this so that you always click to get_ip?

 can we make it a subnet setting?

why does it take 30 seconds?! I guess this is related to windows dhcp server, at least in my env it takes about 3-4 seconds..

What i dont understand is why you dont use this feature, is it because you have your own rules for ip allocations? or does it simply suggest bogus ip's

?

if we can support a better logic to assign ip's, imho that would be better, as not having to think ip address is a great plus.

#5 - 01/10/2012 03:56 AM - Ohad Levy

- Status changed from Feedback to Need more information

- Assignee changed from Ohad Levy to Paul Kelly
#6 - 02/29/2016 02:59 AM - Tomer Brisker

- Status changed from Need more information to Rejected

No action in 4 years or any other complaints. Closing.
